[arch-commits] CVS update of extra/lib/indilib (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Fri Dec 7 15:06:17 EST 2007


    Date: Friday, December 7, 2007 @ 15:06:17
  Author: tpowa
    Path: /home/cvs-extra/extra/lib/indilib

   Added: PKGBUILD (1.1)

'newpkg: depend for new kde4'


----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)


Index: extra/lib/indilib/PKGBUILD
diff -u /dev/null extra/lib/indilib/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 15:06:17 2007
+++ extra/lib/indilib/PKGBUILD	Fri Dec  7 15:06:17 2007
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD,v 1.1 2007/12/07 20:06:17 tpowa Exp $
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=indilib
+pkgver=0.5
+pkgrel=1
+pkgdesc="INDI is an instrument neutral distributed interface control protocol that aims to provide backend driver support and automation for a wide range of Astronomical devices (telescopes, focusers, CCDs..etc)."
+url="http://indi.sourceforge.net/"
+license=('GPL2')
+arch=('i686' 'x86_64')
+depends=('libusb' 'zlib')
+makedepends=('pkgconfig')
+source=(http://belnet.dl.sourceforge.net/sourceforge/indi/$pkgname-$pkgver.tar.gz)
+options=(!libtool)
+
+build() {
+        cd $startdir/src/indi
+         ./configure --prefix=/usr
+        make || return 1
+        make DESTDIR=$startdir/pkg install
+}
+md5sums=('1b370b2aad7c6aa79faccbec20b30278')




More information about the arch-commits mailing list